| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::multipart_content Struct Reference

Represents a multipart mime body and the correct top-level mime type If a non-multipart request is passed in, this is represented as a plain body and the application/json mime type. More...

`#include <httpsclient.h>`

Collaboration diagram for dpp::multipart_content:
[legend]

## Public Attributes

std::string | body
| Multipart body.
std::string | mimetype
| MIME type.

## Detailed Description

Represents a multipart mime body and the correct top-level mime type If a non-multipart request is passed in, this is represented as a plain body and the application/json mime type.

## Member Data Documentation

## ◆ body

std::string dpp::multipart_content::body

Multipart body.

## ◆ mimetype

std::string dpp::multipart_content::mimetype

MIME type.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0